Bug 241929 - Load Into Ram Bug
Load Into Ram Bug
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Alan Cox
Brian Brock
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 15:03 EDT by nomb85
Modified: 2013-01-09 23:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 11:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lshal output (126.85 KB, text/plain)
2007-05-31 22:08 EDT, Brian Cottingham
no flags Details
My lshal output. (91.29 KB, text/plain)
2007-06-01 09:29 EDT, nomb85
no flags Details

  None (edit)
Description nomb85 2007-05-31 15:03:18 EDT
Description of problem:
On both of the live run discs, KDE and Gnome, when you choose to load the live 
run completely into ram, (and I have 2gbs of ram), the following happens:

----------------------------------------------------------------------------

Loading vmlinuz....
Loading initrd.img....
Ready.
Uncompressing Linux... Ok, booting the kernel.
sdb: assuming drive cache: write through (x2)
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358118
Buffer I/O error on device sr0, logical block 358119
Buffer I/O error on device sr0, logical block 358120
Buffer I/O error on device sr0, logical block 358120
Copying live image to RAM...
(this may take a  few minutes)
Buffer I/O error on device sr0, logical block 352484
Buffer I/O error on device sr0, logical block 352485
Buffer I/O error on device sr0, logical block 352486
Buffer I/O error on device sr0, logical block 352487
Buffer I/O error on device sr0, logical block 352488
Buffer I/O error on device sr0, logical block 352489
Buffer I/O error on device sr0, logical block 352490
Buffer I/O error on device sr0, logical block 352491
Buffer I/O error on device sr0, logical block 352492
Buffer I/O error on device sr0, logical block 352493
Bug in initramfs /init detected.  Dropping to a shell. Good luck!

bash: no job control in this shel
bash-3.2#

------------------------------------------------------------------------

If it helps any, live run 2 ram worked great in test 4.

nomb







How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Zeuthen 2007-05-31 15:07:29 EDT
Looks like a coaster, e.g. there are physical errors on the media. Suggest to
try and burn to another disc.
Comment 2 nomb85 2007-05-31 15:11:22 EDT
I've verified the md5's
Burnt 3 gnomes and 3 kdes
and they all do the same thing.

also, this is not just me.
other people form linuxquestions.org are having the same problem.
are you saying we are all burning the badly?
Comment 3 David Zeuthen 2007-05-31 15:36:58 EDT
Do you have pointers to the threads on linuxquestions.org? 

Sorry for just closing the bug but it really _does_ look like a coaster and
coasters happen often. So it was more a knee jerk reaction.

The block numbers look suspiciously high - the lowest one is 352484; at 2048
bytes per block; that would be at an offset that is 688MB (where 1MB = 2^20
bytes).. hmm.. so still OK.

Questions

1. Did you use a 700MB disc?

2. What kind of drive is it? (please attach output of lshal)

3. Does the verify disc from grub work?

I'm tempted to reassign this to the kernel, blaming the driver...
Comment 4 Brian Cottingham 2007-05-31 22:05:55 EDT
Here's the thread: 

http://www.linuxquestions.org/questions/showthread.php?t=557702

I get the same errors on two KDE live disks and a Gnome disk burned from a 
seperate computer. I even used a 4x burn speed on one of the KDE disks. 

If I or the OP boot to the CD in not-to-RAM mode, the boot is successful. 
Comment 5 Brian Cottingham 2007-05-31 22:08:32 EDT
Created attachment 155855 [details]
lshal output
Comment 6 Brian Cottingham 2007-05-31 23:26:39 EDT
I ran the Verify Disk feature, and the disk passed the test. 

On a (possibly) related note, no boot options work on my laptop unless I enter 
the options "noapic nolapic" at boot. Without those, it stops at "uncompressing 
kernel"
Comment 7 David Zeuthen 2007-06-01 00:43:30 EDT
Hi, 

thanks for the feedback and taking time to provide the requested information.

From the lshal output I can see you're using the ata_piix driver. My best guess
at this point is that there's a defect in that driver; all we do in the
initramfs is basically

 1. mount root iso9660 fs at /sysroot
 2. dd if=/sysroot/squashfs.img of=/squashed.img bs=512
    (e.g. copy a file from the CD to the tmpfs of the initramfs)

e.g. we haven't set up any of the device mapper stuff yet. For reference, the
script that generates the initramfs is here

http://git.fedoraproject.org/?p=hosted/livecd;a=blob_plain;f=creator/mayflower;h=ef43ddcda3c2a5f9c2a57642d09fc39b50a3834f

I'm reassigning to the kernel from now and adding Alan and Dave as they probably
know what changed from Test4 to GOLD. I'm also adding myself as Cc in case we've
screwed something up in user space.

Also, I think we can probably rule out that the drive is broken as this worked
for you in Test4. So everything points to a driver bug I guess? Thanks.
Comment 8 nomb85 2007-06-01 09:29:01 EDT
Created attachment 155874 [details]
My lshal output.
Comment 9 nomb85 2007-06-01 09:31:17 EDT
Also,

All the discs were 700mb

I only verified two of them, one gnome, one kde, but they were fine

My lshal is above.

Don't worry about just closing the ticket.  If I went through as many as you 
guys, I'd probably do the same thing.

nomb
Comment 10 Alan Cox 2007-06-05 08:55:37 EDT
Brian - can you open a seperate bug about the APIC problem if you haven't
already and attach a dmidecode to it.
Comment 11 Brian Cottingham 2007-06-05 10:53:03 EDT
Ticket opened: 

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=242717
Comment 12 Alan Cox 2007-06-06 09:39:22 EDT
Thanks

There are no ata_piix changes between the two as far as I can tell and it seems
to be a real media error (unfortuantely the bits of trace you have are too late
after the media error would have been displayed to be 100% sure)

Note You need to log in before you can comment on or make changes to this bug.